- Bulk upsert profiles
Fetch Profile by Id or ChannelType, ChannelId. Supports bulk fetch. OR paginated channelType + userName search.
Create a new Universal Profile
Full Update Universal Profile
Partial Update Universal Profile (PATCH)
Bulk create profiles
Bulk update profiles
Bulk patch profiles
Poll bulk profile job status
Upsert Universal Profile
Bulk upsert profiles
Security
bearerAuth and apiKeyAuth
- Production Serverhttps://api3.sprinklr.com/prod/api/v3/profile/bulk/upsert
- Mock serverhttps://developer.sprinklr.com/_mock/apis/sprinklr-v3/profile/bulk/upsert
curl -i -X POST \
https://api3.sprinklr.com/prod/api/v3/profile/bulk/upsert \
-H 'Authorization: Bearer <YOUR_Token_HERE>' \
-H 'Content-Type: application/json' \
-H 'Key: YOUR_API_KEY_HERE' \
-d '{
"callbackUrl": "string",
"callbackUrlHeaders": {
"property1": "string",
"property2": "string"
},
"records": [
{}
],
"syncProcessing": true
}'